Skip to main content
POST
/
overtime_rates
Create an overtime rate
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/overtime_rates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pay_rate_id": "<id>",
  "rate_multiplier": "1.5",
  "tag_assignment": {
    "unit": "percentage",
    "tag_allocations": [
      {
        "tags": [
          "<id>"
        ],
        "value": 100
      }
    ]
  }
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/overtime_rates"

payload = {
"pay_rate_id": "<id>",
"rate_multiplier": "1.5",
"tag_assignment": {
"unit": "percentage",
"tag_allocations": [
{
"tags": ["<id>"],
"value": 100
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pay_rate_id: '<id>',
rate_multiplier: '1.5',
tag_assignment: {unit: 'percentage', tag_allocations: [{tags: ['<id>'], value: 100}]}
})
};

fetch('https://sandbox.nmbr.co/services/payroll/overtime_rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<id>",
  "object": "overtime_rate",
  "data": {
    "pay_rate": {
      "id": "<id>",
      "object": "pay_rate",
      "links": {
        "self": "/pay_rates/<id>"
      }
    },
    "title": "1.5x",
    "title_translated": "1.5x",
    "rate_multiplier": 1.5,
    "hourly_rate": 22.5,
    "hourly_rate_override": null,
    "business_preset": null,
    "expense_accounting_code": null,
    "liability_accounting_code": null,
    "archived_at": null,
    "is_editable": true,
    "is_deletable": true,
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/overtime_rates/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
pay_rate_id
string
required
rate_multiplier
number<decimal>
required

The multiplier for this overtime, e.g 1.5 or 2.

Required range: 0 <= x <= 100
hourly_rate_override
number<decimal>

If set, this amount is used for the hourly rate, not the calculated amount from the rate_multiplier.

Required range: 0 <= x <= 99999
business_preset_id
string
expense_accounting_code_id
string
liability_accounting_code_id
string
archived_at
string<date>
external_ref
string
Maximum string length: 255
tag_assignment
object

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("overtime_rate").

data
Overtime Rate · object